Bug 45389 - Follow-up to Bug 44285: "The workspace file that was at ... obj/Xcode/0/UnifiedSingleViewIphone1.xcodeproj/project.xcworkspace ... has disappeared." if Xcode sync project is open when adding new IB document in Xamarin Studio
Summary: Follow-up to Bug 44285: "The workspace file that was at ... obj/Xcode/0/Unifi...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS add-in (show other bugs)
Version: 6.1.0 (C8)
Hardware: PC Mac OS
: --- normal
Target Milestone: (C8SR1)
Assignee: Jeffrey Stedfast
URL:
Depends on:
Blocks: 44285
  Show dependency tree
 
Reported: 2016-10-13 22:09 UTC by Brendan Zagaeski (Xamarin Team, assistant)
Modified: 2016-10-18 19:52 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Detailed version info (1.73 KB, text/plain)
2016-10-13 22:09 UTC, Brendan Zagaeski (Xamarin Team, assistant)
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Brendan Zagaeski (Xamarin Team, assistant) 2016-10-13 22:09:17 UTC
Created attachment 18033 [details]
Detailed version info

Follow-up to Bug 44285: "The workspace file that was at ... obj/Xcode/0/UnifiedSingleViewIphone1.xcodeproj/project.xcworkspace ... has disappeared." if Xcode sync project is open when adding new IB document in Xamarin Studio




## Workaround

Click the "Close" button on the error alert dialog that Xcode displays.  That will close the old (out-of-date) project window as desired, leaving just the new up-to-date project window visible.




## Steps to replicate

1. Create a new "iOS > App > Single View App", iPhone project in the user home folder.

2. Select "Open With > Xcode Interface Builder" from the context menu on "Main.storyboard".

3. If 2 windows open in Xcode, close the non-project window.

4. Bring Xamarin Studio back to the foreground.

5. Add a new "iOS > View Controller" to the project in Xamarin Studio.




## GOOD results in Xamarin Studio 6.1.1.15 + Xcode 7.3

Xcode stays running, but the project automatically closes and reopens so that the newly added view controller will be available in the Xcode project.




## BAD results in Xamarin Studio 6.1.2.30 + Xcode 8.0

Xamarin Studio fails to close the original Xcode project automatically.  This causes a second Xcode window to open with the new project and also causes the following error dialog to appear for the original Xcode project window:

>  The workspace file that was at
> “/Users/Shared/UnifiedSingleViewIphone1/UnifiedSingleViewIphone1/obj/
>  Xcode/0/UnifiedSingleViewIphone1.xcodeproj/project.xcworkspace”
> has disappeared.
>
> Do you want to re-save the container, or close it?
> 
> [Close] [Re-save]



## Additional environment info (brief)

Xcode 8.0 (11246), Build 8A218a

Mono 4.6.1 (mono-4.6.0-branch-c8sr0/abb06f1)

Mac OS 10.11.6
Comment 1 Jeffrey Stedfast 2016-10-14 17:44:29 UTC
Fixed
Comment 2 Brendan Zagaeski (Xamarin Team, assistant) 2016-10-15 17:46:07 UTC
## Verification status: verified fixed

GOOD: Xamarin Studio 6.1.2.31 (cdbaa604)

(I also re-ran the complete "extended verification" from Comment 48, and all the results for that verification are now GOOD.)


Many thanks for the quick fix!
Comment 3 xamarin-release-manager 2016-10-18 19:52:17 UTC
Fixed in version 6.1.2.38 (cycle8)

Author: Jeffrey Stedfast
Commit: 355b093c65201bbc0880f2c4a3b643b153f65b74 (xamarin/md-addins)
Included in Commit: 8937e51ff879e4062e660a70d13463510a2664c4 (mono/monodevelop)